#ifndef __MEM_MGR_INCLUDED__
#define __MEM_MGR_INCLUDED__

#ifndef HEAP_SIZE
#define HEAP_SIZE 4000
#endif

#define vaddr_t int16_t 	// supports 32767 variables
#define MAX_VADDR 0x7FFF
#define memsize_t uint32_t	// supports 4GB of memory
#define memaddr_t memsize_t

typedef struct {
	vaddr_t vaddr; 
	void* paddr;
	memsize_t size; 
} __attribute((packed)) PTEntry_t;

#endif
