close all;
clear all;
clc;

%Looking at time histories

load ('data');

isign=1;
%data_z=data.dataz;
%data=data.dataz;

c1=0.5;
n=length(data);

theta=3.141592653589793/bitshift(n,-1);

if isign == 1
   c2=-0.5;     
   [data] = four_m(data,bitshift(n,-1),1);
else
   c2=0.5;
   theta=-theta;
end

wtemp=sin(0.5*theta);
wpr=-2*wtemp*wtemp;
wpi=sin(theta);
wr=1+wpr;
wi=wpi;
np3=n+3;

for i=2:bitshift(n,-2)
    i1=i+i-1;
    i2=1+i1;
    i3=np3-i2;
    i4=1+i3;
    h1r=c1*(data(i1)+data(i3));
    h1i=c1*(data(i2)-data(i4));
    h2r=-c2*(data(i2)+data(i4));
    h2i=c2*(data(i1)-data(i3));
    data(i1)=h1r+wr*h2r-wi*h2i;
    data(i2)=h1i+wr*h2i+wi*h2r;
    data(i3)=h1r-wr*h2r+wi*h2i;
    data(i4)=-h1i+wr*h2i+wi*h2r;
    wtemp=wr;
    wr=wtemp*wpr-wi*wpi+wr;
    wi=wi*wpr+wtemp*wpi+wi;
end

if isign ==1
   h1r=data(1);
   data(1)= h1r+data(2);
   data(2)=h1r-data(2);
else
   h1r=data(1);
   data(1)=c1*(h1r+data(2));
   data(2)=c1*(h1r-data(2));
   [data] = four(data,bitshift(n,-1),-1);
end

    





