function sampleRecord = shm_orig(fileName)
    sampleRecord = openRawData_combined(fileName);
    
    Fs = sampleRecord.sampleHeader.samplingRate;  
    data = sampleRecord.data * sampleRecord.sampleHeader.ADCScale + sampleRecord.sampleHeader.ADCOffset;
    f = (0:length(data)-1) * Fs/length(data);
	t = (0:length(data)-1)/Fs;
            
            
	subplot(2,1,1); plot(t,data);
    xlabel('Time [s]');
    ylabel('Amplitude [V]');
    title('Time Domain Waveform');
     
    data
    length(hamming(length(data)))
    fdata = fft(hamming(length(data)).*data);
    Fs = sampleRecord.sampleHeader.samplingRate;
    f = (0:length(data)-1) * Fs/length(data);
    subplot(2,1,2),plot(f,20*log10(abs(fdata)/length(data)));
    title('Frequency Domain Waveform after Hamming Window');
    xlabel('Frequency [Hz]');
    ylabel('Amplitude [dBV]');
    