package servilla.msgs;

import net.tinyos.message.Message;
import servilla.network.MessageJ;

public class ResetMsgJ implements MessageJ {
	int from, dest;
	
	public ResetMsgJ() {}
	
	public ResetMsgJ(ResetMsg rm) {
		from = rm.get_from();
		dest = rm.get_dest();
	}
	
	public MessageJ clone(Message msg) {
		return new ResetMsgJ((ResetMsg)msg);	
	}

	public int getType() { return ResetMsg.AM_TYPE; }

	public Message toTOSMsg() {
		ResetMsg rm = new ResetMsg();
		rm.set_dest(dest);
		rm.set_from(from);
		return rm;
	}
	
	public int from() { return from; }
	public int dest() { return dest; }
	
	public String toString() {
		return "(ResetMsgJ: from=" + from + ", dest=" + dest+")";
	}
	
}
