package servilla.msgs.reliable;

import java.util.*;
import servilla.Script;
import servilla.msgs.ServillaCodeMsg;
import servilla.util.*;
import org.apache.commons.lang.ArrayUtils;

public class ServillaCodeMsgJ {
	int id;
	byte[] byteCode;
	
	public ServillaCodeMsgJ(Script s) {
		this.id = s.id();
		this.byteCode = s.byteCode(); 
	}
	
	public short amType() { return ServillaCodeMsg.AM_TYPE; }
	
	public byte[] toByteArray() {
		Vector<Byte> bv = new Vector<Byte>();
		ByteUtils.saveBytes2(bv, id);
		bv.addAll(Arrays.asList(ArrayUtils.toObject(byteCode)));
		return ArrayUtils.toPrimitive(bv.toArray(new Byte[]{}));
	}
	
	public String toString() {
		StringBuffer result = new StringBuffer();
		result.append("ServillaCodeMsg: id="+id + "\n");
		result.append(ArrayToHexString.toString(byteCode));
		return result.toString();
	}
}
