package servilla.msgs.reliable;

import servilla.util.ByteUtils;
import servilla.ServillaConstants;

public class ServillaStateAckMsgJ implements ServillaConstants {
	int id;
	boolean accept;
	
	public ServillaStateAckMsgJ(byte[] data) {
		id = ByteUtils.getUint16(data, 0); 
		accept = (ByteUtils.getUint16(data, 2) == SERVILLA_ACCEPT);
	}
	
	public int id() { return id; }
	public boolean accept() { return accept; }
	
	public String toString() { return "(ServillaStateAckMsgJ id=" + id + " accept=" + accept + ")"; };
}
