package servilla.compiler;



public class ParserException extends Exception {
	/**
	 * 
	 */
	private static final long serialVersionUID = -2806049704512163471L;

	private int line = -1;

	public ParserException() {
		super();
	}

	public ParserException(String msg) {
		super(msg);
	}

	public ParserException(String msg, int line) {
		super(msg);
		this.line = line;
	}

	public int lineNumber() {
		return this.line;
	}
}
