package servilla.msgs;

import net.tinyos.message.Message;
import servilla.network.MessageJ;

public class BeaconMsgJ implements MessageJ {
	int addr, dist;
	
	public BeaconMsgJ() {}
	
	public BeaconMsgJ(BeaconMsg rm) {
		addr = rm.get_addr();
		dist = rm.get_dist();
	}
	
	public MessageJ clone(Message msg) {
		return new BeaconMsgJ((BeaconMsg)msg);	
	}

	public int getType() { return BeaconMsg.AM_TYPE; }

	public Message toTOSMsg() {
		BeaconMsg m = new BeaconMsg();
		m.set_addr(addr);
		m.set_dist(dist);
		return m;
	}
	
	public int addr() { return addr; }
	public int dist() { return dist; }
	
	public String toString() {
		return "(BeaconMsgJ: addr=" + addr + ", dist=" + dist+")";
	}
	
}
