package servilla.msgs.reliable;

import java.util.*;
import servilla.Script;
import servilla.msgs.ServillaStackMsg;
import servilla.util.*;
import org.apache.commons.lang.ArrayUtils;

public class ServillaStackMsgJ {
	Script s;
	
	public ServillaStackMsgJ(Script s) {this.s = s; }
	
	public short amType() { return ServillaStackMsg.AM_TYPE; }
	
	public byte[] toByteArray() {
		Vector<Byte> bv = new Vector<Byte>();
		ByteUtils.saveBytes2(bv, s.id());
		bv.addAll(s.stack().toByteVector());
		return ArrayUtils.toPrimitive(bv.toArray(new Byte[]{}));
	}
	
	public String toString() {
		StringBuffer result = new StringBuffer();
		result.append("ServillaStackMsg: id="+s.id() + "\n");
		result.append(ArrayToHexString.toString(s.stack().toByteVector()));
		return result.toString();
	}
}
