package servilla.network;

/**
 * Defines the interface of the ReliableDataReceiver.
 * 
 * @author Chien-Liang Fok
 */
public interface RMsgListener {
	/**
	 * This is called whenever a reliable message is received.
	 * 
	 * @param amType The reliable message's ID.
	 * @param data The data received.
	 */
	public void rcvdMsg(int amType, byte[] data);
}
