package servilla.service;
import java_cup.runtime.*;


class ServiceSpecYylex implements java_cup.runtime.Scanner {
	private final int YY_BUFFER_SIZE = 512;
	private final int YY_F = -1;
	private final int YY_NO_STATE = -1;
	private final int YY_NOT_ACCEPT = 0;
	private final int YY_START = 1;
	private final int YY_END = 2;
	private final int YY_NO_ANCHOR = 4;
	private final int YY_BOL = 128;
	private final int YY_EOF = 129;

  public String sourceFilename;
	private java.io.BufferedReader yy_reader;
	private int yy_buffer_index;
	private int yy_buffer_read;
	private int yy_buffer_start;
	private int yy_buffer_end;
	private char yy_buffer[];
	private int yychar;
	private int yyline;
	private boolean yy_at_bol;
	private int yy_lexical_state;

	ServiceSpecYylex (java.io.Reader reader) {
		this ();
		if (null == reader) {
			throw (new Error("Error: Bad input stream initializer."));
		}
		yy_reader = new java.io.BufferedReader(reader);
	}

	ServiceSpecYylex (java.io.InputStream instream) {
		this ();
		if (null == instream) {
			throw (new Error("Error: Bad input stream initializer."));
		}
		yy_reader = new java.io.BufferedReader(new java.io.InputStreamReader(instream));
	}

	private ServiceSpecYylex () {
		yy_buffer = new char[YY_BUFFER_SIZE];
		yy_buffer_read = 0;
		yy_buffer_index = 0;
		yy_buffer_start = 0;
		yy_buffer_end = 0;
		yychar = 0;
		yyline = 0;
		yy_at_bol = true;
		yy_lexical_state = YYINITIAL;
	}

	private boolean yy_eof_done = false;
	private final int STRING = 3;
	private final int YYINITIAL = 0;
	private final int PARCOMMENT = 2;
	private final int LINECOMMENT = 1;
	private final int yy_state_dtrans[] = {
		0,
		44,
		46,
		35
	};
	private void yybegin (int state) {
		yy_lexical_state = state;
	}
	private int yy_advance ()
		throws java.io.IOException {
		int next_read;
		int i;
		int j;

		if (yy_buffer_index < yy_buffer_read) {
			return yy_buffer[yy_buffer_index++];
		}

		if (0 != yy_buffer_start) {
			i = yy_buffer_start;
			j = 0;
			while (i < yy_buffer_read) {
				yy_buffer[j] = yy_buffer[i];
				++i;
				++j;
			}
			yy_buffer_end = yy_buffer_end - yy_buffer_start;
			yy_buffer_start = 0;
			yy_buffer_read = j;
			yy_buffer_index = j;
			next_read = yy_reader.read(yy_buffer,
					yy_buffer_read,
					yy_buffer.length - yy_buffer_read);
			if (-1 == next_read) {
				return YY_EOF;
			}
			yy_buffer_read = yy_buffer_read + next_read;
		}

		while (yy_buffer_index >= yy_buffer_read) {
			if (yy_buffer_index >= yy_buffer.length) {
				yy_buffer = yy_double(yy_buffer);
			}
			next_read = yy_reader.read(yy_buffer,
					yy_buffer_read,
					yy_buffer.length - yy_buffer_read);
			if (-1 == next_read) {
				return YY_EOF;
			}
			yy_buffer_read = yy_buffer_read + next_read;
		}
		return yy_buffer[yy_buffer_index++];
	}
	private void yy_move_end () {
		if (yy_buffer_end > yy_buffer_start &&
		    '\n' == yy_buffer[yy_buffer_end-1])
			yy_buffer_end--;
		if (yy_buffer_end > yy_buffer_start &&
		    '\r' == yy_buffer[yy_buffer_end-1])
			yy_buffer_end--;
	}
	private boolean yy_last_was_cr=false;
	private void yy_mark_start () {
		int i;
		for (i = yy_buffer_start; i < yy_buffer_index; ++i) {
			if ('\n' == yy_buffer[i] && !yy_last_was_cr) {
				++yyline;
			}
			if ('\r' == yy_buffer[i]) {
				++yyline;
				yy_last_was_cr=true;
			} else yy_last_was_cr=false;
		}
		yychar = yychar
			+ yy_buffer_index - yy_buffer_start;
		yy_buffer_start = yy_buffer_index;
	}
	private void yy_mark_end () {
		yy_buffer_end = yy_buffer_index;
	}
	private void yy_to_mark () {
		yy_buffer_index = yy_buffer_end;
		yy_at_bol = (yy_buffer_end > yy_buffer_start) &&
		            ('\r' == yy_buffer[yy_buffer_end-1] ||
		             '\n' == yy_buffer[yy_buffer_end-1] ||
		             2028/*LS*/ == yy_buffer[yy_buffer_end-1] ||
		             2029/*PS*/ == yy_buffer[yy_buffer_end-1]);
	}
	private java.lang.String yytext () {
		return (new java.lang.String(yy_buffer,
			yy_buffer_start,
			yy_buffer_end - yy_buffer_start));
	}
	private int yylength () {
		return yy_buffer_end - yy_buffer_start;
	}
	private char[] yy_double (char buf[]) {
		int i;
		char newbuf[];
		newbuf = new char[2*buf.length];
		for (i = 0; i < buf.length; ++i) {
			newbuf[i] = buf[i];
		}
		return newbuf;
	}
	private final int YY_E_INTERNAL = 0;
	private final int YY_E_MATCH = 1;
	private java.lang.String yy_error_string[] = {
		"Error: Internal error.\n",
		"Error: Unmatched input.\n"
	};
	private void yy_error (int code,boolean fatal) {
		java.lang.System.out.print(yy_error_string[code]);
		java.lang.System.out.flush();
		if (fatal) {
			throw new Error("Fatal Error.\n");
		}
	}
	private int[][] unpackFromString(int size1, int size2, String st) {
		int colonIndex = -1;
		String lengthString;
		int sequenceLength = 0;
		int sequenceInteger = 0;

		int commaIndex;
		String workString;

		int res[][] = new int[size1][size2];
		for (int i= 0; i < size1; i++) {
			for (int j= 0; j < size2; j++) {
				if (sequenceLength != 0) {
					res[i][j] = sequenceInteger;
					sequenceLength--;
					continue;
				}
				commaIndex = st.indexOf(',');
				workString = (commaIndex==-1) ? st :
					st.substring(0, commaIndex);
				st = st.substring(commaIndex+1);
				colonIndex = workString.indexOf(':');
				if (colonIndex == -1) {
					res[i][j]=Integer.parseInt(workString);
					continue;
				}
				lengthString =
					workString.substring(colonIndex+1);
				sequenceLength=Integer.parseInt(lengthString);
				workString=workString.substring(0,colonIndex);
				sequenceInteger=Integer.parseInt(workString);
				res[i][j] = sequenceInteger;
				sequenceLength--;
			}
		}
		return res;
	}
	private int yy_acpt[] = {
		/* 0 */ YY_NOT_ACCEPT,
		/* 1 */ YY_NO_ANCHOR,
		/* 2 */ YY_NO_ANCHOR,
		/* 3 */ YY_NO_ANCHOR,
		/* 4 */ YY_NO_ANCHOR,
		/* 5 */ YY_NO_ANCHOR,
		/* 6 */ YY_NO_ANCHOR,
		/* 7 */ YY_NO_ANCHOR,
		/* 8 */ YY_NO_ANCHOR,
		/* 9 */ YY_NO_ANCHOR,
		/* 10 */ YY_NO_ANCHOR,
		/* 11 */ YY_NO_ANCHOR,
		/* 12 */ YY_NO_ANCHOR,
		/* 13 */ YY_NO_ANCHOR,
		/* 14 */ YY_NO_ANCHOR,
		/* 15 */ YY_NO_ANCHOR,
		/* 16 */ YY_NO_ANCHOR,
		/* 17 */ YY_NO_ANCHOR,
		/* 18 */ YY_NO_ANCHOR,
		/* 19 */ YY_NO_ANCHOR,
		/* 20 */ YY_NO_ANCHOR,
		/* 21 */ YY_NO_ANCHOR,
		/* 22 */ YY_NO_ANCHOR,
		/* 23 */ YY_NO_ANCHOR,
		/* 24 */ YY_NO_ANCHOR,
		/* 25 */ YY_NO_ANCHOR,
		/* 26 */ YY_NO_ANCHOR,
		/* 27 */ YY_NO_ANCHOR,
		/* 28 */ YY_NO_ANCHOR,
		/* 29 */ YY_NO_ANCHOR,
		/* 30 */ YY_NO_ANCHOR,
		/* 31 */ YY_NO_ANCHOR,
		/* 32 */ YY_NO_ANCHOR,
		/* 33 */ YY_NO_ANCHOR,
		/* 34 */ YY_NO_ANCHOR,
		/* 35 */ YY_NO_ANCHOR,
		/* 36 */ YY_NO_ANCHOR,
		/* 37 */ YY_NOT_ACCEPT,
		/* 38 */ YY_NO_ANCHOR,
		/* 39 */ YY_NO_ANCHOR,
		/* 40 */ YY_NO_ANCHOR,
		/* 41 */ YY_NOT_ACCEPT,
		/* 42 */ YY_NO_ANCHOR,
		/* 43 */ YY_NO_ANCHOR,
		/* 44 */ YY_NOT_ACCEPT,
		/* 45 */ YY_NO_ANCHOR,
		/* 46 */ YY_NOT_ACCEPT,
		/* 47 */ YY_NO_ANCHOR,
		/* 48 */ YY_NO_ANCHOR,
		/* 49 */ YY_NO_ANCHOR,
		/* 50 */ YY_NO_ANCHOR,
		/* 51 */ YY_NO_ANCHOR,
		/* 52 */ YY_NO_ANCHOR,
		/* 53 */ YY_NO_ANCHOR,
		/* 54 */ YY_NO_ANCHOR,
		/* 55 */ YY_NO_ANCHOR,
		/* 56 */ YY_NO_ANCHOR,
		/* 57 */ YY_NO_ANCHOR,
		/* 58 */ YY_NO_ANCHOR,
		/* 59 */ YY_NO_ANCHOR,
		/* 60 */ YY_NO_ANCHOR,
		/* 61 */ YY_NO_ANCHOR,
		/* 62 */ YY_NO_ANCHOR,
		/* 63 */ YY_NO_ANCHOR,
		/* 64 */ YY_NO_ANCHOR,
		/* 65 */ YY_NO_ANCHOR,
		/* 66 */ YY_NO_ANCHOR,
		/* 67 */ YY_NO_ANCHOR,
		/* 68 */ YY_NO_ANCHOR,
		/* 69 */ YY_NO_ANCHOR,
		/* 70 */ YY_NO_ANCHOR,
		/* 71 */ YY_NO_ANCHOR,
		/* 72 */ YY_NO_ANCHOR,
		/* 73 */ YY_NO_ANCHOR,
		/* 74 */ YY_NO_ANCHOR,
		/* 75 */ YY_NO_ANCHOR,
		/* 76 */ YY_NO_ANCHOR,
		/* 77 */ YY_NO_ANCHOR,
		/* 78 */ YY_NO_ANCHOR,
		/* 79 */ YY_NO_ANCHOR,
		/* 80 */ YY_NO_ANCHOR,
		/* 81 */ YY_NO_ANCHOR,
		/* 82 */ YY_NO_ANCHOR,
		/* 83 */ YY_NO_ANCHOR,
		/* 84 */ YY_NO_ANCHOR,
		/* 85 */ YY_NO_ANCHOR,
		/* 86 */ YY_NO_ANCHOR,
		/* 87 */ YY_NO_ANCHOR,
		/* 88 */ YY_NO_ANCHOR,
		/* 89 */ YY_NO_ANCHOR,
		/* 90 */ YY_NO_ANCHOR,
		/* 91 */ YY_NO_ANCHOR,
		/* 92 */ YY_NO_ANCHOR,
		/* 93 */ YY_NO_ANCHOR,
		/* 94 */ YY_NO_ANCHOR,
		/* 95 */ YY_NO_ANCHOR,
		/* 96 */ YY_NO_ANCHOR,
		/* 97 */ YY_NO_ANCHOR,
		/* 98 */ YY_NO_ANCHOR,
		/* 99 */ YY_NO_ANCHOR
	};
	private int yy_cmap[] = unpackFromString(1,130,
"38:9,43,37,38,43,44,38:18,43,38,36,38:2,33,38:4,45,38,42,35,38,22,34,19,25," +
"24,34:2,20,34:3,38:2,40,39,41,38:2,6,12,33:2,8,33:3,11,33:3,7,5,15,14,33,10" +
",33,9,13,33:5,3,38,4,38,21,38,29,33:4,26,32,33,16,33:2,27,33,17,28,33:2,31," +
"30,18,23,33:5,1,38,2,38:2,0:2")[0];

	private int yy_rmap[] = unpackFromString(1,100,
"0,1:5,2,3,4,1:3,5,6,1:5,7,8:8,1,8,1:3,9,1,10,1,7,11,12,13,14,15,1,16,17,18," +
"19,20,21,22,23,24,25,26,8,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,4" +
"3,44,45,46,47,48,49,50,51,52,53,54,8,55,56,57,58,59,60,61,62,63,64,65,66,67" +
",68,69")[0];

	private int yy_nxt[][] = unpackFromString(70,46,
"1,2,3,4,5,6,81,84:4,86,84:3,88,90,84:2,7:2,84,8,92,7:2,93,84:3,94,84:3,7,39" +
",9,10,43,11,12,13,14,10:2,43,-1:51,84,54,84:12,55:2,84,-1,84,55:2,84:8,55:2" +
",-1:11,37:18,7:2,37:3,7:2,37:8,7,37:2,-1,37:6,-1,37,-1:22,15,-1:22,16,-1:39" +
",17,-1:45,18,-1:25,19:2,-1:3,19:2,-1:8,19,-1:16,84:14,55:2,84,-1,84,55:2,84" +
":8,55:2,-1:32,34,-1:23,1,40:35,36,40:9,-1:5,84:3,20,84:10,55:2,84,-1,84,55:" +
"2,84:8,55:2,-1:29,7:2,-1:3,7:2,-1:8,7,-1:12,40:35,-1,40:9,-1:22,28,-1:28,84" +
":4,21,84:9,55:2,84,-1,84,55:2,84:8,55:2,-1:10,1,30:36,31,30:8,-1:5,84:4,22," +
"84:9,55:2,84,-1,84,55:2,84:8,55:2,-1:10,1,32:21,-1,32:22,33,-1:5,84:13,23,5" +
"5:2,84,-1,84,55:2,84:8,55:2,-1:15,84:14,55:2,84,41,84,55:2,84:8,55:2,-1:15," +
"84:13,24,55:2,84,-1,84,55:2,84:8,55:2,-1:15,84:13,25,55:2,84,-1,84,55:2,84:" +
"8,55:2,-1:15,84:13,26,55:2,84,-1,84,55:2,84:8,55:2,-1:15,84:3,27,84:10,55:2" +
",84,-1,84,55:2,84:8,55:2,-1:15,84:13,29,55:2,84,-1,84,55:2,84:8,55:2,-1:15," +
"84:2,38,84:11,55:2,84,-1,84,55:2,84:8,55:2,-1:15,84:4,62,84:9,55:2,84,-1,84" +
",55:2,84:8,55:2,-1:15,84:9,63,84:4,55:2,84,-1,84,55:2,84:8,55:2,-1:15,84:13" +
",95,55:2,84,-1,84,55:2,84:8,55:2,-1:15,84:12,98,84,55:2,84,-1,84,55:2,84:8," +
"55:2,-1:15,84:14,55:2,84,-1,84,55:2,84:2,65,84:5,55:2,-1:15,84:14,55:2,84,-" +
"1,84,55:2,84:5,66,84:2,55:2,-1:15,84:5,67,84:8,55:2,84,-1,84,55:2,84:8,55:2" +
",-1:15,84:8,42,84:5,55:2,84,-1,84,55:2,84:8,55:2,-1:15,84:9,68,84:4,55:2,84" +
",-1,84,55:2,84:8,55:2,-1:15,84:14,55:2,84,-1,84,55:2,84:3,99,84:4,55:2,-1:1" +
"5,84:11,69,84:2,55:2,84,-1,84,55:2,84:8,55:2,-1:15,84:6,70,84:7,55:2,84,-1," +
"84,55:2,84:8,55:2,-1:15,84:8,45,84:5,55:2,84,-1,84,55:2,84:8,55:2,-1:15,84:" +
"12,73,84,55:2,84,-1,84,55:2,84:8,55:2,-1:15,84:7,74,84:6,55:2,84,-1,84,55:2" +
",84:8,55:2,-1:15,84:14,55:2,75,-1,84,55:2,84:8,55:2,-1:15,84:14,55:2,47,-1," +
"84,55:2,84:8,55:2,-1:15,84:14,55:2,84,-1,84,55:2,84:6,78,84,55:2,-1:15,84:8" +
",79,84:5,55:2,84,-1,84,55:2,84:8,55:2,-1:15,84:13,48,55:2,84,-1,84,55:2,84:" +
"8,55:2,-1:15,84:14,55:2,49,-1,84,55:2,84:8,55:2,-1:15,84:14,55:2,50,-1,84,5" +
"5:2,84:8,55:2,-1:15,84:14,55:2,51,-1,84,55:2,84:8,55:2,-1:15,84:4,52,84:9,5" +
"5:2,84,-1,84,55:2,84:8,55:2,-1:15,84:14,55:2,53,-1,84,55:2,84:8,55:2,-1:15," +
"84:4,56,84:9,55:2,84,-1,84,55:2,84:8,55:2,-1:15,84:14,55,71,84,-1,84,55:2,8" +
"4:8,55:2,-1:15,84:4,64,84:9,55:2,84,-1,84,55:2,84:8,55:2,-1:15,84:14,55:2,8" +
"4,-1,84,55,72,84:8,55:2,-1:15,57,84:13,55:2,84,-1,84,55:2,84:8,55:2,-1:15,8" +
"4:14,55,76,84,-1,84,55:2,84:8,55:2,-1:15,84:8,83,84:5,55:2,84,-1,84,55:2,84" +
":8,55:2,-1:15,84:14,55:2,84,-1,84,55,77,84:8,55:2,-1:15,84:12,58,84,55:2,84" +
",-1,84,55:2,84:8,55:2,-1:15,84:14,55:2,84,-1,84,55,80,84:8,55:2,-1:15,84:11" +
",59,84:2,55:2,84,-1,84,55:2,84:8,55:2,-1:15,84:14,55:2,84,-1,84,55:2,84,60," +
"84:6,55:2,-1:15,84:13,61,55:2,84,-1,84,55:2,84:8,55:2,-1:15,84:14,82,55,84," +
"-1,84,85,55,84:8,55:2,-1:15,84:14,87,55,84,-1,84,89,55,84:8,55:2,-1:15,84:1" +
"4,55:2,84,-1,84,91,55,84:8,55:2,-1:15,84:13,96,55:2,84,-1,84,55:2,84:8,55:2" +
",-1:15,84:13,97,55:2,84,-1,84,55:2,84:8,55:2,-1:10");

	public java_cup.runtime.Symbol next_token ()
		throws java.io.IOException {
		int yy_lookahead;
		int yy_anchor = YY_NO_ANCHOR;
		int yy_state = yy_state_dtrans[yy_lexical_state];
		int yy_next_state = YY_NO_STATE;
		int yy_last_accept_state = YY_NO_STATE;
		boolean yy_initial = true;
		int yy_this_accept;

		yy_mark_start();
		yy_this_accept = yy_acpt[yy_state];
		if (YY_NOT_ACCEPT != yy_this_accept) {
			yy_last_accept_state = yy_state;
			yy_mark_end();
		}
		while (true) {
			if (yy_initial && yy_at_bol) yy_lookahead = YY_BOL;
			else yy_lookahead = yy_advance();
			yy_next_state = YY_F;
			yy_next_state = yy_nxt[yy_rmap[yy_state]][yy_cmap[yy_lookahead]];
			if (YY_EOF == yy_lookahead && true == yy_initial) {

  return new Symbol(sym.EOF, null);
			}
			if (YY_F != yy_next_state) {
				yy_state = yy_next_state;
				yy_initial = false;
				yy_this_accept = yy_acpt[yy_state];
				if (YY_NOT_ACCEPT != yy_this_accept) {
					yy_last_accept_state = yy_state;
					yy_mark_end();
				}
			}
			else {
				if (YY_NO_STATE == yy_last_accept_state) {
					throw (new Error("Lexical Error: Unmatched Input."));
				}
				else {
					yy_anchor = yy_acpt[yy_last_accept_state];
					if (0 != (YY_END & yy_anchor)) {
						yy_move_end();
					}
					yy_to_mark();
					switch (yy_last_accept_state) {
					case 1:
						
					case -2:
						break;
					case 2:
						{ return new Symbol(sym.LBRACE, new StringToken(yytext(), yyline, yychar)); }
					case -3:
						break;
					case 3:
						{ return new Symbol(sym.RBRACE, new StringToken(yytext(), yyline, yychar)); }
					case -4:
						break;
					case 4:
						{ return new Symbol(sym.LBRACKET, new StringToken(yytext(), yyline, yychar)); }
					case -5:
						break;
					case 5:
						{ return new Symbol(sym.RBRACKET, new StringToken(yytext(), yyline, yychar)); }
					case -6:
						break;
					case 6:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -7:
						break;
					case 7:
						{ return new Symbol(sym.INTEGER, new IntToken(yytext(), yyline, yychar)); }
					case -8:
						break;
					case 8:
						{  return new Symbol(sym.error, new StringToken(yytext(), yyline, yychar)); }
					case -9:
						break;
					case 9:
						{ yybegin(STRING); }
					case -10:
						break;
					case 10:
						{ }
					case -11:
						break;
					case 11:
						{ return new Symbol(sym.EQ, new StringToken(yytext(), yyline, yychar)); }
					case -12:
						break;
					case 12:
						{ return new Symbol(sym.LT, new StringToken(yytext(), yyline, yychar)); }
					case -13:
						break;
					case 13:
						{ return new Symbol(sym.GT, new StringToken(yytext(), yyline, yychar)); }
					case -14:
						break;
					case 14:
						{ return new Symbol(sym.COMMA, new StringToken(yytext(), yyline, yychar)); }
					case -15:
						break;
					case 15:
						{ yybegin(LINECOMMENT); }
					case -16:
						break;
					case 16:
						{ yybegin(PARCOMMENT); }
					case -17:
						break;
					case 17:
						{ return new Symbol(sym.LTE, new StringToken(yytext(), yyline, yychar)); }
					case -18:
						break;
					case 18:
						{ return new Symbol(sym.GTE, new StringToken(yytext(), yyline, yychar)); }
					case -19:
						break;
					case 19:
						{ return new Symbol(sym.FLOAT, new FloatToken(yytext(), yyline, yychar)); }
					case -20:
						break;
					case 20:
						{ return new Symbol(sym.NAME, new StringToken(yytext(), yyline, yychar)); }
					case -21:
						break;
					case 21:
						{ return new Symbol(sym.INPUT, new StringToken(yytext(), yyline, yychar)); }
					case -22:
						break;
					case 22:
						{ return new Symbol(sym.OUTPUT, new StringToken(yytext(), yyline, yychar)); }
					case -23:
						break;
					case 23:
						{ return new Symbol(sym.INT32_T, new StringToken(yytext(), yyline, yychar)); }
					case -24:
						break;
					case 24:
						{ return new Symbol(sym.UINT16_T, new StringToken(yytext(), yyline, yychar)); }
					case -25:
						break;
					case 25:
						{ return new Symbol(sym.UINT32_T, new StringToken(yytext(), yyline, yychar)); }
					case -26:
						break;
					case 26:
						{ return new Symbol(sym.STRING_T, new StringToken(yytext(), yyline, yychar)); }
					case -27:
						break;
					case 27:
						{ return new Symbol(sym.ATTRIBUTE, new StringToken(yytext(), yyline, yychar)); }
					case -28:
						break;
					case 28:
						{ return new Symbol(sym.INT16_T, new StringToken(yytext(), yyline, yychar)); }
					case -29:
						break;
					case 29:
						{ return new Symbol(sym.FLOAT32_T, new StringToken(yytext(), yyline, yychar)); }
					case -30:
						break;
					case 30:
						{ }
					case -31:
						break;
					case 31:
						{ yybegin(YYINITIAL); }
					case -32:
						break;
					case 32:
						{ }
					case -33:
						break;
					case 33:
						{ }
					case -34:
						break;
					case 34:
						{ yybegin(YYINITIAL); }
					case -35:
						break;
					case 35:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -36:
						break;
					case 36:
						{ yybegin(YYINITIAL); }
					case -37:
						break;
					case 38:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -38:
						break;
					case 39:
						{  return new Symbol(sym.error, new StringToken(yytext(), yyline, yychar)); }
					case -39:
						break;
					case 40:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -40:
						break;
					case 42:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -41:
						break;
					case 43:
						{  return new Symbol(sym.error, new StringToken(yytext(), yyline, yychar)); }
					case -42:
						break;
					case 45:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -43:
						break;
					case 47:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -44:
						break;
					case 48:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -45:
						break;
					case 49:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -46:
						break;
					case 50:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -47:
						break;
					case 51:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -48:
						break;
					case 52:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -49:
						break;
					case 53:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -50:
						break;
					case 54:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -51:
						break;
					case 55:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -52:
						break;
					case 56:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -53:
						break;
					case 57:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -54:
						break;
					case 58:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -55:
						break;
					case 59:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -56:
						break;
					case 60:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -57:
						break;
					case 61:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -58:
						break;
					case 62:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -59:
						break;
					case 63:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -60:
						break;
					case 64:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -61:
						break;
					case 65:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -62:
						break;
					case 66:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -63:
						break;
					case 67:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -64:
						break;
					case 68:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -65:
						break;
					case 69:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -66:
						break;
					case 70:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -67:
						break;
					case 71:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -68:
						break;
					case 72:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -69:
						break;
					case 73:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -70:
						break;
					case 74:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -71:
						break;
					case 75:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -72:
						break;
					case 76:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -73:
						break;
					case 77:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -74:
						break;
					case 78:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -75:
						break;
					case 79:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -76:
						break;
					case 80:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -77:
						break;
					case 81:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -78:
						break;
					case 82:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -79:
						break;
					case 83:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -80:
						break;
					case 84:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -81:
						break;
					case 85:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -82:
						break;
					case 86:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -83:
						break;
					case 87:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -84:
						break;
					case 88:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -85:
						break;
					case 89:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -86:
						break;
					case 90:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -87:
						break;
					case 91:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -88:
						break;
					case 92:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -89:
						break;
					case 93:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -90:
						break;
					case 94:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -91:
						break;
					case 95:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -92:
						break;
					case 96:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -93:
						break;
					case 97:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -94:
						break;
					case 98:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -95:
						break;
					case 99:
						{ return new Symbol(sym.STRING, new StringToken(yytext(), yyline, yychar)); }
					case -96:
						break;
					default:
						yy_error(YY_E_INTERNAL,false);
					case -1:
					}
					yy_initial = true;
					yy_state = yy_state_dtrans[yy_lexical_state];
					yy_next_state = YY_NO_STATE;
					yy_last_accept_state = YY_NO_STATE;
					yy_mark_start();
					yy_this_accept = yy_acpt[yy_state];
					if (YY_NOT_ACCEPT != yy_this_accept) {
						yy_last_accept_state = yy_state;
						yy_mark_end();
					}
				}
			}
		}
	}
}
