package servilla.service.tree;

/**
 * An output property has a type of PropertyType.OUTPUT and a tuple
 * value (the property's interface).
 *  
 * @author Chien-Liang Fok
 *
 */
public class OutputProperty extends InputProperty {
	/**
	 * Creates n OutputProperty.  
	 * 
	 * @param t The tuple defining the output interface of the service.
	 */
	public OutputProperty(Tuple t) { super(t); }
	
	/**
	 * Returns the property type.
	 */
	public PropertyType type() { return PropertyType.OUTPUT; }
}
