package servilla.service.tree;

import java.util.Vector;

/**
 * This is the interface of all properties.  See its subclasess
 * for specific types of properties.
 * 
 * @author Chien-Liang Fok
 */
public interface Property {
	
	public PropertyType type();
	
	/**
	 * Convert the Property into a vector of bytes.
	 *
	 * @return A vector containing the byte representation of this class.
	 */
	public Vector<Byte> toByteVector();
	
}
